com.threerings.parlor.client

## Interface ParlorService.InviteListener

All Superinterfaces:
  com.threerings.presents.client.InvocationService.InvocationListener

All Known Implementing Classes:
  Invitation, ParlorMarshaller.InviteMarshaller

Enclosing interface:
  ParlorService

    public static interface ParlorService.InviteListener
    extends com.threerings.presents.client.InvocationService.InvocationListener

Used to communicate responses to `ParlorService.invite(com.threerings.util.Name, com.threerings.parlor.game.data.GameConfig, com.threerings.parlor.client.ParlorService.InviteListener)` requests.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `inviteReceived(int inviteId)` Called in response to a successful `ParlorService.invite(com.threerings.util.Name, com.threerings.parlor.game.data.GameConfig, com.threerings.parlor.client.ParlorService.InviteListener)` request.

### Methods inherited from interface com.threerings.presents.client.InvocationService.InvocationListener

`requestFailed`

### Method Detail

#### inviteReceived

    void inviteReceived(int inviteId)

Called in response to a successful `ParlorService.invite(com.threerings.util.Name, com.threerings.parlor.game.data.GameConfig, com.threerings.parlor.client.ParlorService.InviteListener)` request.